evTestK {copula} | R Documentation

## Bivariate Test of Extreme-Value Dependence Based on Kendall's Process

### Description

Test of extreme-value dependence based on the bivariate probability integral transformation. The test statistic is defined in Ben Ghorbal, G. Nešlehová, and Genest (2009).

### Usage

    evTestK(x, method = c("fsample","asymptotic","jackknife"))

### Arguments

`x` | a data matrix.
`method` | specifies the variance estimation method; can be either `"fsample"` (finite-sample, the default), `"asymptotic"` or `"jackknife"`.

### Details

The code for this test was generously provided by Johanna G. Nešlehová. More details are available in Appendix B of Ben Ghorbal, G. Nešlehová and Genest (2009).

### Value

Returns a list whose attributes are:

`statistic` | value of the test statistic.
`p.value` | corresponding p-value.

### References

Ghorbal, M. B., Genest, C., and G. Nešlehová, J. (2009) On the test of Ghoudi, Khoudraji, and Rivest for extreme-value dependence. The Canadian Journal of Statistics 37, 1–9.

### See Also

`evTestC`, `evTestA`, `evCopula`, `gofEVCopula`, `An`.

### Examples

    set.seed(321)
    ## Do the data come from an extreme-value copula?
    evTestK(Ug <- rCopula(200, gumbelCopula(3))) # not significant => yes, EV
        dim(Uc <- rCopula(200, claytonCopula(3)))
    ## Clayton:                       tests are highly significant => no, not EV
    (K1 <- evTestK(Uc))
    (K2 <- evTestK(Uc, method = "asymptotic"))

    system.time(print(K3 <- evTestK(Uc, method = "jackknife")))
    ## slower: 1.06 sec (2015 intel core i7)

[Package copula version 0.999-15 Index]